Bug 2610 - Can't mount linux NFS from Digital UNIX: NFS2/3
Can't mount linux NFS from Digital UNIX: NFS2/3
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: nfs-server (Show other bugs)
6.0
i386 Linux
high Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-05-06 16:31 EDT by niles
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-05-06 16:38:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description niles 1999-05-06 16:31:44 EDT
I was able to mount linux filesystems on to my Digital UNIX
box fine with RedHat 5.2 even after I'd upgrade the kernel
to 2.2.5.  It always mounted with something like "NFS2".
Now I get the following Digital UNIX error:
NFS3 RFS3_FSINFO failed for server linuxbox : RPC:
Program/version mismatch

Note the "NFS3".  Is this the problem?  It's reporting
NFSv3, but It's really NFSv2?
Comment 1 niles 1999-05-06 16:38:59 EDT
I don't have a OSF1 boc to test. However, I do have a solaris
boc that can't mount linux file systems using NFS. The fix
there is to specify the option "vers=2" during mount, so I suspect
that OSF1 needs to do the same.

Please reopen if specifying NFS version 2 during mount does not fix
your problem.Resolved! Use nfsv2 flag to Digital UNIX mount command.
Comment 2 msevior 1999-05-19 01:13:59 EDT
I also had exactly this problem Specifying nfsv2 fixed it for me too.
To avoid reading man pages just put something like..

seviorpc:/home          /seviorpc       nfs    rw,nfsv2 0 2

in your fstab on your DEC machine

Thanks for the help, Martin Sevior

Note You need to log in before you can comment on or make changes to this bug.